Subject: FAQ (18-Oct-1993)

From: Eberhard Mattes <[email-masked]>
Date: Thu, 21 Oct 93 17:10:06 +0100

===============================================================================
emtex-user Frequently Asked Questions                               18-Oct-1993
===============================================================================

Contents
--------

1  TeX
2  DVI Drivers
3  LaTeX
4  Miscellanea

Appendices

A  Where to get emTeX, latest versions
B  Questions to be answered in a future revision of this FAQ

1  TeX
------

1.1  emTeX386 says "DPMI not supported."  How can I run emTeX386 under Windows?

    [There will be a simple solution soon.]

1.2  What's the difference between normal TeX and bigTeX?

    `bigTeX' is bigger than `normal TeX' (and much slower).  If TeX
    runs out of memory, try bigTeX.  If you have a 386 or better CPU,
    use emTeX386 instead of bigTeX -- it's faster.

1.3  How do I avoid the message "Fatal font file error; I'm stymied"?

    If you're using one of the betatest versions of emTeX you have to
    create new format files.  You cannot use the format files of the
    official emTeX version with the betatest versions of emTeX and
    vice versa.  You cannot use the format files of the normal-sized
    emTeX (tex.exe, tex186.exe, tex286.exe, texp.exe) with a big emTeX
    (tex386.exe, btex.exe, btex186.exe, btex286.exe, btexp.exe).  Note
    that the big emTeX versions use the BTEXFMT environment variable.
    The normal-sized versions use the TEXFMT environment variable.

    For hints on how to create new format files, see fmt.bat, fmt.cmd,
    gfmt.bat and gfmt.cmd in \emtex\texfmts and \emtex\btexfmts (these
    files come with the official emTeX distribution).

1.4  How do I avoid emTeX's truncating file names to 8.3?

    Wait for the next emTeX version.  All new betas (starting with
    dvidrv 1.4t) will support long file names.  If you can't wait, try
    cmtex330.zip or texas11.zip in the /os2/2_x/unix/tex directory on
    ftp-os2.cdrom.com.

1.5  When will a TeX-XeT or TeX--XeT variant of emTeX be available?

    emTeX won't become a TeX-XeT, which has been superseded by
    TeX--XeT.  TeX--XeT creates standard DVI files, in contrast to
    TeX-XeT which creates IVD files, requiring special DVI drivers or
    an intermediate step for converting to DVI format.  Originally, it
    was planned to implement TeX--XeT in beta 9 of emTeX.  However, it
    may get postponed to beta 10.

    TeX-XeT and TeX--XeT are special variants of TeX capable of
    left-to-right and right-to-left (for Hebrew etc.) typesetting.

2  DVI Drivers
--------------

2.1  How do I get 800x600 resolution with dviscr?

    Acumos AVGA2, AVGA3                         /oa103:800:600:58
    Advance Logic AL2101                        /oa103:800:600:2B
    Ahead V5000                                 /oa103:800:600:71
    ATI VGAWONDER, Graphics Ultra etc.          /oa103:800:600:54
    Chips and Technologies                      /oa103:800:600:6A
    Cirrus Logic CL-GD 500/600                  /oa103:800:600:64
    Cirrus Logic GD 5422                        /oa103:800:600:58
    Compaq VGA                                  /oa103:800:600:59
    CTI                                         /oa103:800:600:6A
    Diamond Stealth                             /oa103:800:600:4F02:0102
    Everex                                      /oa103:800:600:70:02
    Genoa 5xxx, Sigma VGA                       /oa103:800:600:29
    Genoa 6xxx                                  /oa103:800:600:6A
    MXIC MX 68010                               /oa103:800:600:55
    NCR 77C22                                   /oa103:800:600:58
    OAK Technologies OTI-067, OTI-077, OTI037C  /oa103:800:600:52
    OAK Technologies OTI037C w/ NEL BIOS        /oa103:800:600:5B
    Orchid Prodesigner                          /oa103:800:600:29
    Paradise                                    /oa103:800:600:58
    Poach                                       /oa103:800:600:6A
    Primus                                      /oa103:800:600:2A
    Realtek RT 3106                             /oa103:800:600:1F
    S3                                          /oa103:800:600:4F02:0102
    Tecmar                                      /oa103:800:600:16
    Trident 8900                                /oa103:800:600:5B
    Tseng ET-3000, ET-4000                      /oa103:800:600:29
    VEGA                                        /oa103:800:600:29
    VESA compatible adapters                    /oa103:800:600:4F02:0102
    Video 7 SVGA                                /oa103:800:600:62
    WD90C11                                     /oa103:800:600:5C
    Western Digital                             /oa103:800:600:58

2.2  How do I get 1024x768 resolution with dviscr?

    dviscr does not support 1024x768.  If you select a 1024x768 mode
    with the /oa option, dviscr will use the first 512 lines of the
    display, the remaining 256 lines will remain black.  dvipm
    supports all screen resolutions supported by the PM display
    driver.

2.3  How do I get 600 DPI on a HP LaserJet IV?

    Here's how to obtain 600 DPI output on a LaserJet IV with
    dvihplj 1.4s:

    Create the file 600dpi.pcl by copying the following text to a file
    named 600dpi.txt:

      ESC "&u600D"

    and typing

      makedot -b 600dpi.txt 600dpi.pcl

    Use the following dvihplj command line options:

      /r600 /og600 /or2 /ob+ /pi:600dpi.pcl

    This prints everything in graphics mode. Using download fonts will
    be supported in a future dvihplj version (1.4t).

    modes.mf 0.12 claims that

      mode_def laserjetIV =  % HP LaserJet IV (600 DPI)
      proofing:=0;          % no, we're not making proofs
      fontmaking:=1;        % yes, we are making a font
      tracingtitles:=0;     % no, don't show titles in the log
      pixels_per_inch:=600;
      blacker:=0;           % The LaserJet is black enough
      fillin:=.2;           % and it tends to fill in diagonals
      o_correction:=.6;     % 
      enddef;

    is the METAFONT mode to be used with the HP LaserJet IV for 600 DPI.

2.4  How do I enable automatic generation of missing fonts?

    Get dvidrv 1.4s and MFjob 1.1l.

2.5  The driver won't find the font after generating a missing font.  Why?

    That's a rounding problem.  As temporary fix, add the size of the
    font as generated by MFjob to the list of font sizes searched by
    the driver.  For instance, if the driver wants cmr10<746.63959>
    and MFjob puts the font into the 746dpi directory (instead of
    747dpi), use

        /fz:+747

    (You might want to add that option it to the batch file or to the
    configuration file.)

2.6  How can I make MFjob invoke mf386.exe (instead of mf.exe)?

    SET MFJOBOPT=/3

    Note that this is a feature introduced by MFjob 1.1l.

2.7  Why does dvihplj omit a \special{em:graph} picture, though dviscr
     doesn't?

    The picture is partially off the paper.  You can run "dvimsp /om"
    on a DVI file derived from

        \nopagenumbers
        \noindent\special{em:graph mypic}
        \bye

    to remove the blank margins.

2.8  What shall I do when dviscr says "2520 graphics mode not supported"
     under OS/2?

    OS/2 fails to report the correct hardware information for some VGA
    boards.  Use the /oa# option with one of the values 11 through 18.
    For instance, use /oa16 for a color VGA display connected to a VGA
    board.  You might want to use dvipm (of dvidrv 1.4s) instead of
    dviscr.

2.9  How do I convert DVI files to plain text files?

    [Preliminary]

    Try dvi2tty, dvidoc or dvispell.  dvi2tty is good at converting
    tables, dvispell is good at converting accented characters.

2.10 How can I make dvipm let TeX overwrite the DVI file?

    The File.New menu selection of dvipm doesn't work correctly.  Wait
    for dvipm 1.4t.

3  LaTeX
--------

3.1  I have a LaTeX problem.  Who can help?

    Please do not send general TeX, LaTeX, AMSTeX, NFSS etc. questions
    to the emtex-user list.  You should use the [email-masked] list
    or the comp.text.tex newsgroup instead.

4  Miscellanea
--------------

4.1  Is there an emTeX version for Amiga, CP/M, Linux, Macintosh, Unix, ...?

    No.  emTeX is available for OS/2, MS-DOS, and PC-DOS.  There are
    other ports of TeX for other machines and operating systems.

4.2  How do I unsubscribe from the emtex-user list?

    Write a friendly message to [email-masked],
    requesting unsubscription from emtex-user.  Do not write to the
    list (emtex-user@...)!!!

4.3  What's the best shell (user interface) for emTeX?

    Most users seem to prefer J\"urgen Schlegelmilch's TeXShell.  It
    is available for ftp in the directory

        ftp.uni-stuttgart.de:/pub/tex/systems/msdos/emtex-texshell

    See appendix A for other ftp servers.

Appendices

A  Where to get emTeX, latest versions
--------------------------------------

    ftp.uni-stuttgart.de   [129.69.1.13]: /pub/tex/systems/msdos/emtex (*)
    ftp.tex.ac.uk        [134.151.44.19]: /pub/archive/systems/msdos/emtex
    ftp.shsu.edu         [192.92.115.10]: /tex-archive/systems/msdos/emtex
    ftp.informatik.tu-muenchen.de [131.159.0.198]: /pub/comp/os/os2/emTeX

    (*) IMPORTANT NOTE: The archive at ftp.uni-stuttgart.de has moved
        to a new machine.  The directories have been changed slightly.

    Latest versions (see the betatest directory):

    big-emTeX   3.141 [3c-beta8]
    dvidrv      1.4s
    dvispell    0.1b
    emTeX       3.14 [3c-beta5]
    emTeX386    3.141 [3c-beta8]
    maketcp     1.1c
    METAFONT    2.71 [3c-beta1]
    MF386       2.71 [3c-beta1]
    MFjob       1.1l
    pkeditpm    1.0b

B  Questions to be answered in a future revision of this FAQ
------------------------------------------------------------

Where can I get a spell checker for emTeX?
How do I create a Fax with emTeX?
Is there a driver for the XYZ printer?